TIBCO EMS .NET API 8.5 TIBCO EMS .NET API 8.5

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties | List of all members
TIBCO.EMS.EMSException Class Reference

This is base class for TIBCO EMS .NET API related exceptions More...

Inheritance diagram for TIBCO.EMS.EMSException:

## Public Member Functions
| EMSException (string reason, string errorCode)
| Initializes a new instance of the EMSException with the specified reason and error code. More...
| EMSException (string reason)
| Initializes a new instance of the EMSException with the specified reason. More...
| EMSException (string reason, int errorNumber)
| Initializes a new instance of the EMSException with the specified reason and error number More...

## Properties
string | ErrorCode`[get]`
| Gets the error code associated with this exception More...
System.Exception | LinkedException`[get, set]`
| Get and Set the exception linked to this one More...

## Detailed Description

This is base class for TIBCO EMS .NET API related exceptions

This class corresponds to JMSException in JMS. EMS methods throw instances of this class and its subclasses.

## Constructor & Destructor Documentation

TIBCO.EMS.EMSException.EMSException | ( | string | reason,
|  | string | errorCode
| ) |  |
| inline

Initializes a new instance of the EMSException with the specified reason and error code.

TIBCO.EMS.EMSException.EMSException | ( | string | reason | ) |
| inline

Initializes a new instance of the EMSException with the specified reason.

TIBCO.EMS.EMSException.EMSException | ( | string | reason,
|  | int | errorNumber
| ) |  |
| inline

Initializes a new instance of the EMSException with the specified reason and error number

## Property Documentation

string TIBCO.EMS.EMSException.ErrorCode
| get

Gets the error code associated with this exception

When an exception results from a server error, this property holds the server's error code.

Returns
  a string specifying the vendor-specific error code

System.Exception TIBCO.EMS.EMSException.LinkedException
| get set

Get and Set the exception linked to this one

When an EMS exception results from a deeper problem, this linked exception details that problem.